program sdf;
var
k1,k2,k3,k4,k5,k6,i1,i2,i3,max:string;
a,b,c:longint;
begin
read(a,b,c);
str(a,i1);
str(b,i2);
str(c,i3);
k1:=i1+i2+i3;
max:=k1;
if k1>max then max:=k1;
k2:=i1+i3+i2;
if k2>max then max:=k2;
k3:=i2+i1+i3;
if k3>max then max:=k3;
k4:=i2+i3+i1;
if k4>max then max:=k4;
k5:=i3+i1+i2;
if k5>max then max:=k5;
k6:=i3+i2+i1;
if k6>max then max:=k6;
writeln(max);
end.